﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ST_LINK_MES
{
    /// <summary>
    /// Interaction logic for ResultDialog.xaml
    /// </summary>
    public partial class ResultDialog : Window
    {
        public ResultDialog()
        {
            InitializeComponent();
        }

        private delegate void GenericDelegate();

        public void ShowResult(bool isSuccess)
        {
            GenericDelegate ShowResultAct = () => {
                if (isSuccess)
                {
                    uxBg.Background = Brushes.Lime;
                    uxResultText.Content = "PASS";
                }

                if (!isSuccess)
                {
                    uxBg.Background = Brushes.Red;
                    uxResultText.Content = "FAIL";
                }
                this.ShowDialog();
            };
            this.Dispatcher.BeginInvoke(ShowResultAct);
        }
    }
}
