﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MesAdaptor
{
    public interface ISajetConnect
    {
        bool SajetTransStart();
        bool SajetTransClose();
        bool SajetTransSignIn(ref string data);
        bool SajetTransWoCheck(ref string workOrder);
        bool SajetTransSnCheck(ref string serialNumber);
        bool SajetTransSnCheck(ref string sn, string model);
        bool SajetTranFinishSuccess();
        bool SajetTranFinishFail(MesErrorCode errorCode);
        string SajetTransRegisterHeader(string model, string header);
        bool SajetTransReport(ValueReportDatas reportPair);
        bool SajetTransLog(string data);
    }
}
